% Synthesis of a lowpass Butter worth filter
Wc = 40000; Ws = 56000; % Requirement for the lowpass filter
Amax = 0.28029; Amin = 40;
N = BW_ORDER(Wc, Ws, Amax, Amin);
N = 18; % Re-run the program after selecting N?integer
[G, Z, P] = BW_POLES(Wc, Ws, Amax, Amin, N);
Q = -abs(P)./(2*real(P));
omega = linspace(0, 1e5, 1000); % 1000 values between 0 and 1e5 rad/s
H = PZ_2_FREQ_S(G, Z, P, omega); % Compute the frequency response
Att = -20*log10(abs(H)); % Compute the attenuation
Tg = PZ_2_TG_S(G, Z, P, omega); % Compute the group delay
PLOT_A_TG_S(Att, Tg, omega, 60, 6*10^-4);
