% Synthesis of lowpass Chebyshev I filter
Wc = 40000; Ws = 56000;
Amax = 0.28029; Amin = 40;
N = CH_ORDER(Wc, Ws, Amax, Amin)
N = 8; % Re-run the program after selecting an integer order
[G, Z, P] = CH_I_POLES(Wc, Ws, Amax, Amin, N);
Q  = -abs(P)./(2*real(P))
omega = linspace(0, 1e5, 1000);
H  = PZ_2_FREQ_S(G, Z, P, omega);
Att  = -20*log10(abs(H));
Tg  = PZ_2_TG_S(G, Z, P, omega);
lw  = 2; fs = 16; fn = 'times';
PLOT_A_TG_S(Att, Tg, omega, 80, 8*10^-4);
set(gca,'FontName', fn, 'FontSize', fs);
xtick([0:10000:100000])
